# Class ExtendedAccessLogValve.PatternTokenizer

java.lang.Object
org.apache.catalina.valves.ExtendedAccessLogValve.PatternTokenizer

Enclosing class:
  `ExtendedAccessLogValve`

protected static class ExtendedAccessLogValve.PatternTokenizer extends Object

Author:
  Peter Rossbach

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PatternTokenizer(String str)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getParameter()`
  `String`
  `getRemains()`
  `String`
  `getToken()`
  `String`
  `getWhiteSpaces()`
  `boolean`
  `hasParameter()`
  `boolean`
  `hasSubToken()`
  `boolean`
  `isEnded()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PatternTokenizer

    public PatternTokenizer(String str)

- ## Method Details

  - ### hasSubToken

    public boolean hasSubToken()

  - ### hasParameter

    public boolean hasParameter()

  - ### getToken

    public String getToken() throws IOException
    Throws:
      `IOException`

  - ### getParameter

    public String getParameter() throws IOException
    Throws:
      `IOException`

  - ### getWhiteSpaces

    public String getWhiteSpaces() throws IOException
    Throws:
      `IOException`

  - ### isEnded

    public boolean isEnded()

  - ### getRemains

    public String getRemains() throws IOException
    Throws:
      `IOException`